%define name	swatch
%define version	3.2.3

Summary:	A utility for monitoring system logs files
Name:		swatch
Version:	3.2.3
Release:	%mkrel 3
License:	GPLv2
Group:		Monitoring
Source0:	%{name}-%{version}.tar.gz
URL:		http://swatch.sourceforge.net/
Source1:	swatchrc.bz2
Source2:	README-mageia.bz2
BuildRequires:	perl-devel perl-File-Tail perl-Date-Calc perl-Time-HiRes perl-TimeDate
Requires:	perl perl-File-Tail perl-Date-Calc perl-Time-HiRes perl-TimeDate
BuildArch:	noarch

%description
The Swatch utility monitors system log files, filters out unwanted data
and takes specified actions (i.e., sending email, executing a script,
etc.) based upon what it finds in the log files.

Install the swatch package if you need a program that will monitor log
files and alert you in certain situations.

%prep
%setup -q
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
perl -pi -e "s|^(INSTALLMAN1DIR\s=\s/usr/share/man/man1)|INSTALLMAN1DIR = \\$\(PREFIX\)/share/man/man1|" $RPM_BUILD_DIR/%{name}-%{version}/Makefile
%{makeinstall_std}
install tools/swatch_oldrc2newrc -D $RPM_BUILD_ROOT%{_bindir}/swatch_oldrc2newrc

mkdir -p %{buildroot}%{_sysconfdir}
bzcat %{SOURCE1} >> %{buildroot}%{_sysconfdir}/swatchrc

bzcat %{SOURCE2} >> $RPM_BUILD_DIR/%{name}-%{version}/README-Mageia

rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/auto

%files
%doc CHANGES INSTALL COPYRIGHT KNOWN_BUGS README* examples tools
%{_bindir}/swatch
%{_bindir}/swatch_oldrc2newrc
%{_mandir}/man?/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/swatchrc
%dir %{perl_vendorlib}/Swatch
%{perl_vendorlib}/Swatch/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.2.3-3.mga3
+ Revision: 383837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - delete README-mandrake.bz2

* Wed Nov 16 2011 dams <dams> 3.2.3-2.mga2
+ Revision: 168057
- clean specfile
- replace 'mandrake' by 'mageia' for the README

* Wed Mar 23 2011 steletch <steletch> 3.2.3-1.mga1
+ Revision: 76071
- Clean spec file
- imported package swatch

